CreateApplication
Creates a new application. An application is the top-level organizational unit that supports IAM Identity Center integration.
Request Syntax
POST /CreateApplication HTTP/1.1
Content-type: application/json
{
"defaultKmsKeyId": "string",
"idcInstanceArn": "string",
"roleArn": "string",
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- defaultKmsKeyId
-
The identifier of the default AWS KMS key to use for encrypting data in the application.
Type: String
Required: No
- idcInstanceArn
-
The Amazon Resource Name (ARN) of the IAM Identity Center instance to associate with the application.
Type: String
Required: No
- roleArn
-
The Amazon Resource Name (ARN) of the IAM role to associate with the application.
Type: String
Required: No
-
The tags to associate with the application.
Type: String to string map
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applicationId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applicationId
-
The unique identifier of the created application.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: